Bug 1306004 - The cmd "repos --list --proxy" with a fake proxy server url will not stop running.
Summary: The cmd "repos --list --proxy" with a fake proxy server url will not stop run...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1301215
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-09 19:33 UTC by John Sefler
Modified: 2016-11-03 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1301215
Environment:
Last Closed: 2016-11-03 20:27:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1306005 None None None Never
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Internal Links: 1306005

Comment 3 Shwetha Kallesh 2016-05-20 10:55:29 UTC
Marking verified!!

it takes less than a min to get response 

[root@dhcp35-45 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.15-1
subscription management rules: 5.15.1
subscription-manager: 1.17.6-1.el7
python-rhsm: 1.17.2-1.el7


[root@dhcp35-45 ~]# time subscription-manager repos --list-enabled --proxy=www.baidu.com
Proxy connnection failed, please check your settings.

real	0m10.798s
user	0m0.182s
sys	0m0.032s

[root@dhcp35-45 ~]# tail -f /var/log/rhsm/rhsm.log 
2016-05-20 15:41:24,638 [INFO] subscription-manager:13525 @managercli.py:384 - Client Versions: {'python-rhsm': '1.17.2-1.el7', 'subscription-manager': '1.17.6-1.el7'}
2016-05-20 15:41:24,638 [INFO] subscription-manager:13525 @connection.py:815 - Connection built: http_proxy=www.baidu.com:3128 host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=identity_cert ca_dir=/etc/rhsm/ca/ verify=False
2016-05-20 15:41:24,638 [INFO] subscription-manager:13525 @connection.py:815 - Connection built: http_proxy=www.baidu.com:3128 host=subscription.rhn.stage.redhat.com port=443 handler=/subscription auth=none

Comment 5 errata-xmlrpc 2016-11-03 20:27:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.